clang-tools 10.0.0

Public Member Functions | Public Attributes | List of all members
clang::doc::NamespaceInfo Struct Reference

`#include <Representation.h>`

Inheritance diagram for clang::doc::NamespaceInfo:
[legend]
Collaboration diagram for clang::doc::NamespaceInfo:
[legend]

## Public Member Functions
| NamespaceInfo ()
| NamespaceInfo (SymbolID USR)
| NamespaceInfo (SymbolID USR, StringRef Name)
| NamespaceInfo (SymbolID USR, StringRef Name, StringRef Path)
void | merge (NamespaceInfo &&I)
Public Member Functions inherited from clang::doc::Info
| Info ()=default
| Info (InfoType IT)
| Info (InfoType IT, SymbolID USR)
| Info (InfoType IT, SymbolID USR, StringRef Name)
| Info (InfoType IT, SymbolID USR, StringRef Name, StringRef Path)
| Info (const Info &Other)=delete
| Info (Info &&Other)=default
virtual | ~Info ()=default
void | mergeBase (Info &&I)
bool | mergeable (const Info &Other)
llvm::SmallString< 16 > | extractName () const
llvm::Expected< Reference > | getEnclosingScope ()

## Public Attributes
std::vector< Reference > | ChildNamespaces
std::vector< Reference > | ChildRecords
std::vector< FunctionInfo > | ChildFunctions
std::vector< EnumInfo > | ChildEnums
Public Attributes inherited from clang::doc::Info
SymbolID | USR
const InfoType | IT = InfoType::IT_default
SmallString< 16 > | Name
llvm::SmallVector< Reference, 4 > | Namespace
std::vector< CommentInfo > | Description
llvm::SmallString< 128 > | Path

## Detailed Description

Definition at line 271 of file Representation.h.

## Constructor & Destructor Documentation

## ◆ NamespaceInfo() [1/4]

clang::doc::NamespaceInfo::NamespaceInfo | ( |  | ) |
| inline

Definition at line 272 of file Representation.h.

## ◆ NamespaceInfo() [2/4]

clang::doc::NamespaceInfo::NamespaceInfo | ( | SymbolID | USR | ) |
| inline

Definition at line 273 of file Representation.h.

## ◆ NamespaceInfo() [3/4]

clang::doc::NamespaceInfo::NamespaceInfo | ( | SymbolID | USR,
|  | StringRef | Name
| ) |  |
| inline

Definition at line 274 of file Representation.h.

## ◆ NamespaceInfo() [4/4]

clang::doc::NamespaceInfo::NamespaceInfo | ( | SymbolID | USR,
|  | StringRef | Name,
|  | StringRef | Path
| ) |  |
| inline

Definition at line 276 of file Representation.h.

## Member Function Documentation

## ◆ merge()

void clang::doc::NamespaceInfo::merge | ( | NamespaceInfo && | I | ) |

Definition at line 165 of file Representation.cpp.

References clang::doc::Reference::mergeable().

## Member Data Documentation

## ◆ ChildEnums

std::vector<EnumInfo> clang::doc::NamespaceInfo::ChildEnums

Definition at line 288 of file Representation.h.

Referenced by clang::doc::addChild(), clang::doc::ClangDocBitcodeWriter::emitBlock(), and llvm::yaml::MappingTraits< NamespaceInfo >::mapping().

## ◆ ChildFunctions

std::vector<FunctionInfo> clang::doc::NamespaceInfo::ChildFunctions

Definition at line 287 of file Representation.h.

Referenced by clang::doc::addChild(), clang::doc::ClangDocBitcodeWriter::emitBlock(), and llvm::yaml::MappingTraits< NamespaceInfo >::mapping().

## ◆ ChildNamespaces

std::vector<Reference> clang::doc::NamespaceInfo::ChildNamespaces

Definition at line 285 of file Representation.h.

Referenced by clang::doc::ClangDocBitcodeWriter::emitBlock(), and llvm::yaml::MappingTraits< NamespaceInfo >::mapping().

## ◆ ChildRecords

std::vector<Reference> clang::doc::NamespaceInfo::ChildRecords

Definition at line 286 of file Representation.h.

Referenced by clang::doc::ClangDocBitcodeWriter::emitBlock(), and llvm::yaml::MappingTraits< NamespaceInfo >::mapping().

The documentation for this struct was generated from the following files:

- Representation.h
- Representation.cpp